ImageWriter.h File Reference

Header file for ImageWriter class. More...

`#include "ReaderBase.h"`
`#include "WriterBase.h"`
`#include <cmath>`
`#include <ctime>`
`#include <iostream>`
`#include <stdio.h>`
`#include <unistd.h>`
`#include "CacheMemory.h"`
`#include "Exceptions.h"`
`#include "OpenMPUtilities.h"`
`#include "MagickUtilities.h"`

Go to the source code of this file.

## Classes

class | openshot::ImageWriter
| This class uses the ImageMagick library to write image files (including animated GIFs) More...

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for ImageWriter class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org, Fabrice Bellard

License

Definition in file ImageWriter.h.